#ifndef _VIDEO3D_
#define _VIDEO3D_


/* use more detail for a sprite */
#ifdef SPRITE
#define SLICES 128
#define STACKS 32
#else
#define SLICES 16
#define STACKS 16
#endif


extern float colors[0x10][3];
extern float glcolors[0x80][3];
extern int colortable[0x80];
extern Uint32 paldata[0x10];
extern Uint32 paldata2[0x80];
#define COLORGL(col) glColor3fv(glcolors[color+col]);


/* 3d object construction */
void init_pacman_3d_objs(void);
int construct_ghost (void);
int construct_pacman (void);

/* drawing functs */
void draw_3d_tile (int tile, int color);
void draw_3d_sprite (int sprite, int color);

void draw_ghost (int sprite, int color);
void draw_scared_ghost (int sprite, int color);
void draw_pacman(int sprite, int color);
void draw_big_pacman(int sprite, int color);




#endif
