/**************************************
****   INPUT.H  -  Input devices   ****
****         Header File           ****
**************************************/

#ifndef	INPUT_H
#define INPUT_H


#include "SDL.h"

enum {NORTH, EAST, SOUTH, WEST};


/*-- input.c functions -----------------------------------------------------*/
void input_init(void);
void input_shutdown(void);

void processEvents(void);
void input_direction(int);

Uint8 input_port_0_r (int Addr);
Uint8 input_port_1_r (int Addr);
Uint8 input_port_2_r (int Addr);
Uint8 input_port_3_r (int Addr);


#endif /* INPUT_H */
