/************************
*** Z80 CPU Interface ***
***    Header File    ***
************************/

#ifndef	MEMORY_H
#define MEMORY_H

#include "SDL.h"

void memory_init(void);

#define VIDEORAM_SIZE   0x400;

extern Uint8		memory[0x10000];
extern Uint8            soundprom[0x200];
extern int              videoram_size;
extern int              spriteram_size;
extern Uint8            * videoram;
extern Uint8            * colorram;
extern Uint8		* spriteram;
extern Uint8		* spriteram_2;
extern Uint8            dirtybuffer[0x400];
extern int		z80_cycles;

#endif /* MEMORY_H */

